#declare t1 = texture {
   pigment {
     color rgb<.72, .450, .2>
   }
   finish {
     diffuse .5
     ambient .2
     specular .4
     roughness .01
   }
}



#declare t2 = texture {
   pigment {
     color rgb<0.420, 0.137, 0.557>
   }
   finish {
     diffuse 0.500
     ambient 0.200
     specular 0.400
     roughness 0.0100
     crand .3
   }
}




#declare t3 = texture {
   pigment {
     color rgb<0.184, 0.310, 0.310>
   }

   finish {
     diffuse 0.500
     ambient 0.200
     specular 0.400
     roughness 0.0100
     crand .1
   }
}



#declare Rock_tex = texture {
   pigment {
     granite
     color_map {
       [ 0.000  color rgb<0.720, 0.450, 0.200> ]
       [ 0.313  color rgb<0.530, 0.120, 0.470> ]
       [ 0.691  color rgb<0.557, 0.137, 0.137> ]
       [ 1.000  color rgb<0.590, 0.410, 0.310> ]
     }
   }
   normal {
     bumps 2.0000
     turbulence 1.000
     octaves 8
     omega 2.000
     lambda 0.500
     scale     0.5000
   }
   finish {
     diffuse 0.500
     ambient 0.700
   }

}



// *** ForceField ***

#declare Force_Field =    texture { // Force_FieldL1
     pigment {
       gradient x
       color_map {
         [ 0.000  color rgbf<0.972, 1.000, 1.000, 1.000> ]
         [ 0.430  color rgbf<1.000, 1.000, 1.000, 1.000> ]
         [ 0.480  color rgbf<0.557, 0.137, 0.137, 0.900> ]
         [ 0.520  color rgbf<0.875, 0.000, 0.000, 0.900> ]
         [ 0.570  color rgbf<0.938, 0.938, 0.938, 1.000> ]
         [ 1.000  color rgbf<1.000, 1.000, 1.000, 1.000> ]
       }
       turbulence 0.200
     }
     finish {
       diffuse 0.500
       ambient 0.900
     }

   }

   texture { // Force_FieldL2
     pigment {
       gradient y
       color_map {
         [ 0.000  color rgbf<0.972, 1.000, 1.000, 1.000> ]
         [ 0.430  color rgbf<1.000, 1.000, 1.000, 1.000> ]
         [ 0.480  color rgbf<0.557, 0.137, 0.137, 0.900> ]
         [ 0.520  color rgbf<0.875, 0.000, 0.000, 0.900> ]
         [ 0.570  color rgbf<0.938, 0.938, 0.938, 1.000> ]
         [ 1.000  color rgbf<1.000, 1.000, 1.000, 1.000> ]
       }
       turbulence 0.200
     }
     finish {
       diffuse 0.500
       ambient 0.900
     }

   }

   texture { // Force_FieldL3
     pigment {
       gradient z
       color_map {
         [ 0.000  color rgbf<0.972, 1.000, 1.000, 1.000> ]
         [ 0.430  color rgbf<1.000, 1.000, 1.000, 1.000> ]
         [ 0.480  color rgbf<0.557, 0.137, 0.137, 0.900> ]
         [ 0.520  color rgbf<0.875, 0.000, 0.000, 0.900> ]
         [ 0.570  color rgbf<0.938, 0.938, 0.938, 1.000> ]
         [ 1.000  color rgbf<1.000, 1.000, 1.000, 1.000> ]
       }
       turbulence 0.200
     }
     finish {
       diffuse 0.500
       ambient 0.900
     }

   }


// *** Mage colors ***

#declare stafftopcol =    texture { // stafftopcolL1
     pigment {
       bozo
       color_map {
         [ 0.000  color rgb<1.000, 1.000, 1.000> ]
         [ 1.000  color rgb<0.859, 0.859, 0.439> ]
       }
       frequency 8.000
       scale     <0.5000, 0.5000, 0.5000>
     }
     finish {
       diffuse 0.500
       ambient 0.200
       specular 0.400
       roughness 0.0100
     }

   }

   texture { // stafftopcolL2
     pigment {
       marble
       color_map {
         [ 0.000  color rgbf<1.000, 1.000, 1.000, 1.000> ]
         [ 0.223  color rgbf<1.000, 1.000, 1.000, 1.000> ]
         [ 0.381  color rgb<0.794, 0.000, 0.000> ]
         [ 0.435  color rgb<0.767, 0.753, 1.000> ]
         [ 0.500  color rgbf<0.164, 0.246, 0.767, 0.500> ]
         [ 0.570  color rgbf<0.739, 0.739, 1.000, 0.625> ]
         [ 0.601  color rgbf<1.000, 0.231, 0.259, 0.750> ]
         [ 0.773  color rgbf<1.000, 1.000, 1.000, 1.000> ]
         [ 1.000  color rgbf<1.000, 1.000, 1.000, 1.000> ]
       }
       turbulence 0.900
       frequency 2.000
       scale     <0.5000, 0.5000, 0.5000>
       rotate    <0.0000, 0.0000, -90.0000>
     }
     finish {
       diffuse 0.500
       ambient 0.200
       specular 0.400
       roughness 0.0100
     }

   }



#declare Rosewood1 =    texture { // texture29
     pigment {
       bozo
       color_map {
         [ 0.000  color rgb<0.204, 0.110, 0.078> ]
         [ 0.256  color rgb<0.231, 0.125, 0.090> ]
         [ 0.393  color rgb<0.247, 0.133, 0.090> ]
         [ 0.581  color rgb<0.204, 0.110, 0.075> ]
         [ 0.726  color rgb<0.259, 0.122, 0.102> ]
         [ 0.983  color rgb<0.231, 0.125, 0.086> ]
         [ 1.000  color rgb<0.204, 0.110, 0.078> ]
       }
       turbulence 0.040
       scale     <0.5000, 0.5000, 1.0000>
       translate <10.0000, 0.0000, 0.0000>
     }
     finish {
       diffuse 0.800
       ambient 0.500
     }

   }

   texture { // texture30
     pigment {
       wood
       color_map {
         [ 0.000  color rgbf<0.545, 0.349, 0.247, 1.000> ]
         [ 0.139  color rgbf<0.000, 0.000, 0.000, 0.004> ]
         [ 0.148  color rgbf<0.000, 0.000, 0.000, 0.004> ]
         [ 0.287  color rgbf<0.545, 0.349, 0.247, 1.000> ]
         [ 0.443  color rgbf<0.545, 0.349, 0.247, 1.000> ]
         [ 0.626  color rgbf<0.000, 0.000, 0.000, 0.004> ]
         [ 0.635  color rgbf<0.000, 0.000, 0.000, 0.004> ]
         [ 0.843  color rgbf<0.545, 0.349, 0.247, 1.000> ]
         [ 1.000  color rgbf<0.545, 0.349, 0.247, 1.000> ]
       }
       turbulence 0.040
       scale     <0.5000, 0.5000, 1.0000>
       translate <10.0000, 0.0000, 0.0000>
     }
     finish {
       diffuse 0.800
       ambient 0.500
     }

   }



#declare Cherry_Wood1 = texture {
   pigment {
     wood
     color_map {
       [ 0.000  color rgb<0.666, 0.312, 0.200> ]
       [ 0.800  color rgb<0.666, 0.312, 0.200> ]
       [ 0.800  color rgb<0.400, 0.133, 0.066> ]
       [ 1.000  color rgb<0.200, 0.065, 0.033> ]
     }
     turbulence 0.300
   }

}



#declare robe = texture {
   pigment {
     color rgb<0.360, 0.250, 0.200>
   }
   normal {
     wrinkles 1.0000
     turbulence 0.600
     omega 2.000
     lambda 0.500
   }
   finish {
     diffuse 0.500
     ambient 0.270
   }

}



#declare staffcol = texture {
   pigment {
     color rgb<0.859, 0.859, 0.439>
   }
   finish {
     diffuse 0.500
     ambient 0.390
     reflection 0.270
     specular 0.400
     roughness 0.0100
   }

}



#declare auracol = texture {
   pigment {
     radial
     color_map {
       [ 0.000  color rgbt<1.000, 1.000, 1.000, 1.000> ]
       [ 0.414  color rgbt<1.000, 1.000, 1.000, 1.000> ]
       [ 0.450  color rgb<1.000, 1.000, 1.000> ]
       [ 0.493  color rgb<0.767, 0.753, 1.000> ]
       [ 0.518  color rgbt<0.164, 0.246, 0.767, 0.500> ]
       [ 0.543  color rgbt<1.000, 1.000, 1.000, 0.750> ]
       [ 0.579  color rgbt<1.000, 1.000, 1.000, 1.000> ]
       [ 1.000  color rgbt<1.000, 1.000, 1.000, 1.000> ]
     }
     turbulence 0.500
     frequency 15.000
     scale     <0.5000, 0.5000, 0.5000>
     rotate -90*x
   }
   finish {
     diffuse 0.5
     ambient 0.7
     brilliance 8.275
   }
}


//*** Publicity pannels

#declare Pub1 = texture { //discount
   pigment {
     image_map {
       gif "pub1.gif"
       once
       map_type 0  // Planar
       interpolate 4  // Normalized (4)
     }
     translate <-.5, -.5, 0>
     scale <2, 2, 1>
   }
   finish {
     diffuse 0.500
     ambient 0.200
     specular 0.400
     roughness 0.0100
   }
}

#declare Pub2 = texture { //nuke
   pigment {
     image_map {
       gif "nuke.gif"
       once
       map_type 0  // Planar
       interpolate 4  // Normalized (4)
     }
     translate <-.5, -.5, 0>
     scale <2, 2, 1>
   }
   finish {
     diffuse 0.500
     ambient 0.200
     specular 0.400
     roughness 0.0100
   }

}


#declare Pub3 = texture { //Staffs with knobs
   pigment {
     image_map {
       gif "staff.gif"
       once
       map_type 0  // Planar
       interpolate 4  // Normalized (4)
     }
     translate <-.5, -.5, 0>
     scale <2, 2, 1>
   }
   finish {
     diffuse 0.500
     ambient 0.200
     specular 0.400
     roughness 0.0100
   }

}

#declare Pub4 = texture { //Space for rent
   pigment {
     image_map {
       gif "rent.gif"
       once
       map_type 0  // Planar
       interpolate 4  // Normalized (4)
     }
     translate <-.5, -.5, 0>
     scale <2, 2, 1>
   }
   finish {
     diffuse 0.500
     ambient 0.200
     specular 0.400
     roughness 0.0100
   }

}


// Clouds
#declare cloudes =
  texture {
     pigment {
       radial
       color_map {
         [ 0.000  color rgbf<1.000, 1.000, 1.000, 1.000> ]
         [ 0.198  color rgbf<0.808, 0.808, 0.808, 0.833> ]
         [ 0.349  color rgb<0.671, 0.671, 0.916> ]
         [ 0.475  color rgb<0.397, 0.397, 0.504> ]
         [ 0.511  color rgb<0.381, 0.381, 0.504> ]
         [ 0.651  color rgb<0.671, 0.671, 1.000> ]
         [ 0.802  color rgbf<0.808, 0.808, 0.808, 0.833> ]
         [ 1.000  color rgbf<1.000, 1.000, 1.000, 1.000> ]
       }
       turbulence 1.600
       frequency 4.000
      // rotate 90*x
     }
     finish {
       diffuse 0.000
       ambient 1.000
     }

   }


//***** vict colors

#declare vic11 = texture {
   pigment {
     bozo
     color_map {
       [ 0.000  color rgbf<1.000, 1.000, 1.000, 1.000> ]
       [ 0.363  color rgbf<1.000, 0.877, 1.000, 1.000> ]
       [ 0.493  color rgbf<0.273, 0.753, 0.560, 0.504> ]
       [ 0.525  color rgbf<0.930, 0.300, 1.000, 0.504> ]
       [ 0.612  color rgbf<1.000, 1.000, 1.000, 1.000> ]
       [ 1.000  color rgbf<1.000, 1.000, 1.000, 1.000> ]
     }
     frequency 3
     scale     <0.5000, 0.5000, 0.5000>
   }
   finish {
     diffuse 0.00
     ambient 1
   }
}



#declare vic22 = texture
{
  pigment
  {
    bozo
    turbulence 0.3
    color_map
    {
      [0.00 color rgbf<0.996, 0.996, 0.996, 0.996>]
      [0.20 color rgbf<0.988, 0.988, 0.988, 0.988>]
      [0.45 color rgbf<0.988, 0.298, 0.220, 0.776>]
      [0.52 color rgbf<0.055, 0.463, 0.055, 0.718>]
      [0.76 color rgbf<0.988, 0.988, 0.988, 0.988>]
      [1.00 color rgbf<1.000, 1.000, 1.000, 0.996>]
    }
    frequency 4
    scale <1.5, 2.0, 1.5>
  }
  normal
  {
    dents 0.0
    turbulence 0.4
    frequency 2
    scale <1.5, 1.5, 1.5>
  }
  finish {
    ambient 1.0
    diffuse 0.0
    brilliance 2.8
  }
  scale <1.0, 1.5, 1.0>
}


//** Beam
#declare beam = texture
{
  pigment
  {
    bozo
    turbulence 0.4
    color_map
    {
      [0.00 color rgb<1.000, 0.996, 0.498>]
      [0.27 color rgb<0.988, 0.988, 0.988>]
      [0.29 color rgb<0.710, 0.698, 0.686>]
      [0.38 color rgb<0.898, 0.898, 0.898>]
      [0.60 color rgb<0.988, 0.988, 0.737>]
      [0.70 color rgb<0.749, 0.749, 0.737>]
      [0.74 color rgb<0.820, 0.820, 0.659>]
      [0.76 color rgb<0.976, 0.996, 0.918>]
      [1.00 color rgb<1.000, 1.000, 0.808>]
    }
  }
    normal { bumps .5}

     finish {
    ambient .9
    diffuse .5
   }
}


//** sphere beam
#declare circle = texture
{
  pigment
  {
    radial
    turbulence 0.3
    color_map
    {
      [0.00 color rgbf<0.996, 0.996, 0.996, 1>]
      [0.46 color rgbf<0.996, 0.996, 0.996, 1>]
      [0.48 color rgb<0.996, 0.996, 0.996>]
      [0.54 color rgb<0.996, 0.996, 0.996>]
      [0.55 color rgbf<0.996, 0.996, 0.996, 1>]
      [1.00 color rgbf<0.996, 0.996, 0.996, 1>]
    }
    frequency 10
    rotate <0.0, 0.0, 90.0>
  }
  finish {
    ambient 1.0
    diffuse 0.0
    brilliance 10.0
  }
}


// **** Wall
#declare wall_col = texture
{
  pigment
  {
    colour rgb<0.659,0.659,0.659>
  }
  normal
  {
    bumps 0.24
    turbulence 0.41
    frequency 5
    scale <0.1, 0.1, 0.1>
  }
  finish {
    ambient 0.3
    diffuse 0.43
    crand 0.1
  }
}


// **** Panel


#declare Panel_body = texture
{
  pigment
  {
    gradient y
    color_map
    {
      [0.00 color rgb<0.000, 0.000, 0.000>]
      [0.39 color rgb<0.000, 0.000, 0.000>]
      [0.40 color rgb<0.149, 0.149, 0.137>]
      [0.60 color rgb<0.157, 0.157, 0.157>]
      [0.61 color rgb<0.000, 0.000, 0.000>]
      [1.00 color rgb<0.000, 0.000, 0.000>]
    }
  }
  finish {
    ambient 0.3
    diffuse 0.4
  }
}

#declare Panel = texture {
   pigment {
     color rgb<0.750, 0.750, 0.750>
   }
   finish {
     diffuse 0.500
     ambient 0.200
     specular 0.400
     roughness 0.0100
   }
}



#declare Panel_front = texture {
   pigment {
     color rgb<0.200, 0.200, 0.200>
   }
   finish {
     diffuse 0.500
     ambient 0.200
     specular 0.400
     roughness 0.0100
     brilliance .3
   }
}



#declare boff = texture {
   pigment {
     color rgb<1.000, 0.000, 0.000>
   }
   finish {
     diffuse 0.500
     ambient 0.200
     specular 0.400
     roughness 0.0100
     brilliance .3
   }
}


#declare Boff_Black = texture {
   pigment {
     color rgb<0.000, 0.000, 0.000>
   }
   finish {
     diffuse 0.500
     ambient 0.500
     specular 0.400
     roughness 0.0100
     brilliance .3
   }
}


#declare Boff_orange = texture {
   pigment {
     color rgb<1.000, 0.500, 0.000>
   }
   finish {
     diffuse 0.500
     ambient 0.200
     specular 0.400
     roughness 0.0100
     brilliance .3
   }

}



#declare Glass4 = texture {
   pigment {
     color rgbf<0.980, 0.980, 0.980, 0.900>
   }
   finish {
     diffuse 0.100
     phong 1.000
     phong_size 400.000
     reflection 0.25
     ior 1.50
     specular 0.800
     roughness 0.0003
   }
}

#declare Rope = texture
{
  pigment
  {
    gradient y
    color_map
    {
      [0.00 color rgb<0.427, 0.169, 0.169>]
      [0.44 color rgb<0.298, 0.157, 0.157>]
      [0.45 color rgb<0.059, 0.067, 0.067>]
      [0.55 color rgb<0.067, 0.067, 0.078>]
      [0.56 color rgb<0.298, 0.157, 0.157>]
      [1.00 color rgb<0.431, 0.169, 0.169>]
    }
    rotate <0.0, 0.0, 45.0>
  }
  finish {
    ambient 0.41
    diffuse 0.5
  }
scale .1
}


#declare Texture01 = texture {
   pigment {
     color rgb<0.360, 0.250, 0.200>
   }
   finish {
     diffuse 0.500
     ambient 0.510
   }

}
